# Class UpiAccountPayload

#### Hierarchy

- unknown
  - UpiAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4867
- Defined in src/protobuf/pb_pb.d.ts:4879

#####
Index

### Constructors

constructor

### Methods

getVirtualPaymentAddress
serializeBinary
setVirtualPaymentAddress
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new UpiAccountPayload(): UpiAccountPayload

- #### Returns UpiAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getVirtualPaymentAddress

- getVirtualPaymentAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4868

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4871

### setVirtualPaymentAddress

- setVirtualPaymentAddress(value: string): UpiAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns UpiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4869

### toObject

- toObject(includeInstance?: boolean): UpiAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns UpiAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4872

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): UpiAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UpiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4875

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UpiAccountPayload, reader: BinaryReader): UpiAccountPayload

- #### Parameters

  - ##### message: UpiAccountPayload

  - ##### reader: BinaryReader

  #### Returns UpiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4876

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: UpiAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: UpiAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4874

### `Static` toObject

- toObject(includeInstance: boolean, msg: UpiAccountPayload): UpiAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UpiAccountPayload

  #### Returns UpiAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4873

Generated using TypeDoc